P2PGui
Keywords: uk.ac.ic.doc.automed.p2p.gui.P2PGui class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.gui
Class P2PGui

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.gui.P2PGui

    public class P2PGui

extends java.lang.Object

Various dialogue boxes for the PeerApplication to use when informing a user of the result of operations.

Constructor Summary
`P2PGui()`

Method Summary
`static boolean` | `confirm(java.awt.Component parent, java.lang.Object message)`
`static boolean` | `confirm(java.lang.Object message)`
`static void` | `error(javax.swing.JFrame frame, java.lang.String title, java.lang.Exception exception)`
`static void` | `error(javax.swing.JFrame frame, java.lang.String title, java.lang.String message)`
`static void` | `inform(javax.swing.JFrame frame, java.lang.String title, java.lang.String message)`
`static void` | `informSuccess(javax.swing.JFrame frame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P2PGui

    public P2PGui()

Method Detail

### error

    public static void error(javax.swing.JFrame frame,
                             java.lang.String title,
                             java.lang.Exception exception)

### error

    public static void error(javax.swing.JFrame frame,
                             java.lang.String title,
                             java.lang.String message)

### informSuccess

    public static void informSuccess(javax.swing.JFrame frame)

### inform

    public static void inform(javax.swing.JFrame frame,
                              java.lang.String title,
                              java.lang.String message)

### confirm

    public static boolean confirm(java.awt.Component parent,
                                  java.lang.Object message)

### confirm

    public static boolean confirm(java.lang.Object message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD